// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : Script的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var Script_PlantNr = grmi.NewField("PlantNr", "Script.PlantNr", "plantnr", grmi.TypeInt)
var Script_Script = grmi.NewField("Script", "Script.Script", "script", grmi.TypeString)
var Script_Bez = grmi.NewField("Bez", "Script.Bez", "bez", grmi.TypeString)
var Script_ScriptTable = grmi.NewField("ScriptTable", "Script.ScriptTable", "scripttable", grmi.TypeString)
var Script_ScriptType = grmi.NewField("ScriptType", "Script.ScriptType", "scripttype", grmi.TypeString)
var Script_FilePath = grmi.NewField("FilePath", "Script.FilePath", "filepath", grmi.TypeString)
var Script_Separator = grmi.NewField("Separator", "Script.Separator", "separator", grmi.TypeString)
var Script_UseHead = grmi.NewField("UseHead", "Script.UseHead", "usehead", grmi.TypeInt)
var Script_ClearTable = grmi.NewField("ClearTable", "Script.ClearTable", "cleartable", grmi.TypeInt)
var Script_StartRow = grmi.NewField("StartRow", "Script.StartRow", "startrow", grmi.TypeInt)
var Script_StartCol = grmi.NewField("StartCol", "Script.StartCol", "startcol", grmi.TypeInt)
var Script_AppendNewRecord = grmi.NewField("AppendNewRecord", "Script.AppendNewRecord", "appendnewrecord", grmi.TypeInt)
var Script_UpdateRecord = grmi.NewField("UpdateRecord", "Script.UpdateRecord", "updaterecord", grmi.TypeInt)
var Script_CallSpecFunc = grmi.NewField("CallSpecFunc", "Script.CallSpecFunc", "callspecfunc", grmi.TypeInt)
var Script_CallFunction = grmi.NewField("CallFunction", "Script.CallFunction", "callfunction", grmi.TypeString)
var Script_InputPara1 = grmi.NewField("InputPara1", "Script.InputPara1", "inputpara1", grmi.TypeString)
var Script_Para1Type = grmi.NewField("Para1Type", "Script.Para1Type", "para1type", grmi.TypeInt)
var Script_Para1Descr = grmi.NewField("Para1Descr", "Script.Para1Descr", "para1descr", grmi.TypeString)
var Script_InputPara2 = grmi.NewField("InputPara2", "Script.InputPara2", "inputpara2", grmi.TypeString)
var Script_Para2Type = grmi.NewField("Para2Type", "Script.Para2Type", "para2type", grmi.TypeInt)
var Script_Para2Descr = grmi.NewField("Para2Descr", "Script.Para2Descr", "para2descr", grmi.TypeString)
var Script_InputPara3 = grmi.NewField("InputPara3", "Script.InputPara3", "inputpara3", grmi.TypeString)
var Script_Para3Type = grmi.NewField("Para3Type", "Script.Para3Type", "para3type", grmi.TypeInt)
var Script_Para3Descr = grmi.NewField("Para3Descr", "Script.Para3Descr", "para3descr", grmi.TypeString)
var Script_InputPara4 = grmi.NewField("InputPara4", "Script.InputPara4", "inputpara4", grmi.TypeString)
var Script_Para4Type = grmi.NewField("Para4Type", "Script.Para4Type", "para4type", grmi.TypeInt)
var Script_Para4Descr = grmi.NewField("Para4Descr", "Script.Para4Descr", "para4descr", grmi.TypeString)
var Script_LastModify = grmi.NewField("LastModify", "Script.LastModify", "lastmodify", grmi.TypeDateTime)
var Script_LastUser = grmi.NewField("LastUser", "Script.LastUser", "lastuser", grmi.TypeString)
var Script_CreateTime = grmi.NewField("CreateTime", "Script.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : Script的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var Script = grmi.NewEntity(
	"Script",
	func() interface{} { return &model.Script{} },
	map[string]grmi.Field{
		Script_PlantNr.Name:         Script_PlantNr,
		Script_Script.Name:          Script_Script,
		Script_Bez.Name:             Script_Bez,
		Script_ScriptTable.Name:     Script_ScriptTable,
		Script_ScriptType.Name:      Script_ScriptType,
		Script_FilePath.Name:        Script_FilePath,
		Script_Separator.Name:       Script_Separator,
		Script_UseHead.Name:         Script_UseHead,
		Script_ClearTable.Name:      Script_ClearTable,
		Script_StartRow.Name:        Script_StartRow,
		Script_StartCol.Name:        Script_StartCol,
		Script_AppendNewRecord.Name: Script_AppendNewRecord,
		Script_UpdateRecord.Name:    Script_UpdateRecord,
		Script_CallSpecFunc.Name:    Script_CallSpecFunc,
		Script_CallFunction.Name:    Script_CallFunction,
		Script_InputPara1.Name:      Script_InputPara1,
		Script_Para1Type.Name:       Script_Para1Type,
		Script_Para1Descr.Name:      Script_Para1Descr,
		Script_InputPara2.Name:      Script_InputPara2,
		Script_Para2Type.Name:       Script_Para2Type,
		Script_Para2Descr.Name:      Script_Para2Descr,
		Script_InputPara3.Name:      Script_InputPara3,
		Script_Para3Type.Name:       Script_Para3Type,
		Script_Para3Descr.Name:      Script_Para3Descr,
		Script_InputPara4.Name:      Script_InputPara4,
		Script_Para4Type.Name:       Script_Para4Type,
		Script_Para4Descr.Name:      Script_Para4Descr,
		Script_LastModify.Name:      Script_LastModify,
		Script_LastUser.Name:        Script_LastUser,
		Script_CreateTime.Name:      Script_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"Bez", "ScriptTable", "ScriptType", "FilePath", "Separator", "UseHead", "ClearTable", "StartRow", "StartCol", "AppendNewRecord", "UpdateRecord", "CallSpecFunc", "CallFunction", "InputPara1", "Para1Type", "Para1Descr", "InputPara2", "Para2Type", "Para2Descr", "InputPara3", "Para3Type", "Para3Descr", "InputPara4", "Para4Type", "Para4Descr", "LastUser"})
